Bug 967323 - ibus-pinyin >= ibus-pinyin-1.4.99.20120808 no longer provide ibus-pinyin-db-*, but don't obsolete them
Summary: ibus-pinyin >= ibus-pinyin-1.4.99.20120808 no longer provide ibus-pinyin-db-*...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyzy
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-26 15:15 UTC by Hans de Goede
Modified: 2013-06-01 03:15 UTC (History)
4 users (show)

Fixed In Version: pyzy-0.1.0-6.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-01 02:24:18 UTC


Attachments (Terms of Use)

Description Hans de Goede 2013-05-26 15:15:49 UTC
Description of problem:

Upgrade from F-18 to F-19, or apply the latest F-18 updates,
and then run:

[hans@shalem ~]$ sudo package-cleanup --orphans
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
ibus-pinyin-db-android-1.4.99.20120620-3.fc18.noarch
[hans@shalem ~]$

Please add the following lines the main part of the specfile to ensure these old packages get cleaned up properly on update / upgrade:

Obsoletes: ibus-pinyin-db-android < %{version}-%{release}
Provides: ibus-pinyin-db-android = %{version}-%{release}

Obsoletes: ibus-pinyin-db-open-phrase < %{version}-%{release}
Provides: ibus-pinyin-db-open-phrase = %{version}-%{release}

Comment 1 Peng Wu 2013-05-28 02:54:16 UTC
Currently pyzy-db replaced ibus-pinyin-db.

I will add the Obsoletes and Provides to pyzy.spec soon.

Comment 2 Fedora Update System 2013-05-29 02:02:37 UTC
pyzy-0.1.0-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pyzy-0.1.0-6.fc19

Comment 3 Fedora Update System 2013-05-29 02:02:51 UTC
pyzy-0.1.0-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pyzy-0.1.0-6.fc18

Comment 4 Fedora Update System 2013-05-29 17:45:11 UTC
Package pyzy-0.1.0-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyzy-0.1.0-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9559/pyzy-0.1.0-6.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-06-01 02:24:18 UTC
pyzy-0.1.0-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-06-01 03:15:38 UTC
pyzy-0.1.0-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.